import type { DevBindingsOptions } from './index';
import type { WorkerOptions } from 'miniflare';
/**
 * Gets information regarding DurableObject bindings that can be passed to miniflare to access external (locally exposed in the local registry) Durable Object bindings.
 *
 * @param durableObjects
 * @returns the durableObjects and WorkersOptions objects to use or undefined if connecting to the registry and/or creating the options has failed
 */
export declare function getDOBindingInfo(durableObjects: DevBindingsOptions['durableObjects']): Promise<{
    workerOptions: WorkerOptions;
    durableObjects: DevBindingsOptions['durableObjects'];
} | undefined>;
