import { Response } from 'miniflare';
import type { Request } from 'miniflare';
/**
 * Gets service bindings that proxy requests to external workers running locally, so that they
 * can be passed to miniflare and used to fetch from such workers by the next app.
 *
 * @param services the services requested by the user
 * @returns the service bindings ready to be passed to miniflare
 */
export declare function getServiceBindings(services: Record<string, string> | undefined): Promise<ServiceBindings | undefined>;
type ServiceBindings = Record<string, (req: Request) => Promise<Response>>;
export {};
